<template>
  <div>
    <h1>Ecrire un article</h1>
    <form @submit.prevent="createArticle">
      <label for="title">Titre</label>
      <input id="title" v-model="title" type="text" />
      <label for="content">Contenu</label>
      <vue-editor id="content" v-model="content" />
      <input type="submit" value="Créer l'article" />
    </form>
  </div>
</template>

<script>
import gql from 'graphql-tag'
export default {
  middleware: 'auth',
  data() {
    return {
      title: '',
      content: '',
    }
  },
  methods: {
    createArticle() {
      if (this.title && this.content) {
        this.$apollo
          .mutate({
            mutation: gql`
              mutation($title: String!, $content: String!) {
                createArticle(data: { title: $title, content: $content }) {
                  id
                }
              }
            `,
            variables: {
              title: this.title,
              content: this.content,
            },
          })
          .then(({ data }) => {
            if (data.createArticle.id) {
              window.alert('article créé')
              this.$router.push('/')
            }
          })
      }
    },
  },
}
</script>

<style lang="scss" scoped></style>
